Bug 151067 - emacs should use /etc/alternatives to switch between emacs and emacs-nox
emacs should use /etc/alternatives to switch between emacs and emacs-nox
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 10:50 EST by Henning Schmiedehausen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 21.3-27
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 03:43:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to emacs.spec making it use /etc/alternatives (2.33 KB, patch)
2005-03-14 10:50 EST, Henning Schmiedehausen
no flags Details | Diff

  None (edit)
Description Henning Schmiedehausen 2005-03-14 10:50:22 EST
Description of problem:
emacs and emacs-nox use different binary names. They both should use
/usr/bin/emacs. 

Version-Release number of selected component (if applicable):
21.3-21.2

How reproducible:
always

Steps to Reproduce:
1. install emacs-nox
2. remove emacs
3. enter "emacs" in an xterm
  
Actual results:
"command not found"

Expected results:
emacs should open in the terminal

Additional info:
The attached patch allows emacs to use the alternatives system to select between
emacs and emacs-nox.
Comment 1 Henning Schmiedehausen 2005-03-14 10:50:22 EST
Created attachment 111983 [details]
patch to emacs.spec making it use /etc/alternatives
Comment 2 Jens Petersen 2005-04-06 11:00:10 EDT
Thanks a lot for this idea: should be in 21.3-27.
Comment 3 Jens Petersen 2005-09-05 22:29:19 EDT
Though actually in the end alternatives didn't play well with rpm packaging
so there is now wrapper script instead which runs either emacs-x or emacs-nox.

Note You need to log in before you can comment on or make changes to this bug.